Package org.springframework.http.codec.json

# Class Jackson2JsonDecoder

java.lang.Object
org.springframework.http.codec.json.Jackson2CodecSupport
org.springframework.http.codec.json.AbstractJackson2Decoder
org.springframework.http.codec.json.Jackson2JsonDecoder

All Implemented Interfaces:
  `org.springframework.core.codec.Decoder<Object>`, `HttpMessageDecoder<Object>`

public class Jackson2JsonDecoder extends AbstractJackson2Decoder
Decode a byte stream into JSON and convert to Object's with Jackson 2.x, leveraging non-blocking parsing.

Since:
  5.0
Author:
  Sebastien Deleuze, Rossen Stoyanchev
See Also:
  - `Jackson2JsonEncoder`

## Field Summary

### Fields inherited from class org.springframework.http.codec.json.Jackson2CodecSupport

`JSON_VIEW_HINT, logger`

## Constructor Summary

Constructors
Constructor
Description
`Jackson2JsonDecoder()`
`Jackson2JsonDecoder(ObjectMapper mapper, org.springframework.util.MimeType... mimeTypes)`

## Method Summary

Modifier and Type
Method
Description
`protected reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer>`
`processInput(Publisher<org.springframework.core.io.buffer.DataBuffer> input, org.springframework.core.ResolvableType elementType, org.springframework.util.MimeType mimeType, Map<String,Object> hints)`
Process the input publisher into a flux.

### Methods inherited from class org.springframework.http.codec.json.AbstractJackson2Decoder

`canDecode, customizeReader, decode, decode, decodeToMono, getAnnotation, getDecodableMimeTypes, getDecodableMimeTypes, getDecodeHints, getMaxInMemorySize, setMaxInMemorySize`

### Methods inherited from class org.springframework.http.codec.json.Jackson2CodecSupport

`getHints, getJavaType, getMediaTypesForProblemDetail, getMimeTypes, getMimeTypes, getObjectMapper, getObjectMapperRegistrations, getObjectMappersForType, getParameter, logWarningIfNecessary, registerObjectMappersForType, selectObjectMapper, setObjectMapper, supportsMimeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jackson2JsonDecoder

public Jackson2JsonDecoder()

### Jackson2JsonDecoder

public Jackson2JsonDecoder(ObjectMapper mapper, org.springframework.util.MimeType... mimeTypes)

## Method Details

### processInput

protected reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> processInput(Publisher<org.springframework.core.io.buffer.DataBuffer> input, org.springframework.core.ResolvableType elementType, @Nullable org.springframework.util.MimeType mimeType, @Nullable Map<String,Object> hints)
Description copied from class: `AbstractJackson2Decoder`
Process the input publisher into a flux. Default implementation returns `Flux.from(Publisher)`, but subclasses can choose to customize this behavior.

Overrides:
  `processInput` in class `AbstractJackson2Decoder`
Parameters:
  `input` - the `DataBuffer` input stream to process
  `elementType` - the expected type of elements in the output stream
  `mimeType` - the MIME type associated with the input stream (optional)
  `hints` - additional information about how to do encode
Returns:
  the processed flux